#!/bin/sh

### BEGIN INIT INFO
# Provides:        expandfs
# Required-Start:    $remote_fs $syslog
# Required-Stop:     $remote_fs $syslog
# Default-Start:     2 3 4 5
# Default-Stop:      0 1 6
# Short-Description: Start expandfs daemon
### END INIT INFO

# Author: Chris Gurtler <sales@cbmsstudio.com>
#


PATH=/sbin:/bin:/usr/sbin:/usr/bin
DESC="CBMS Studio SVM service"
NAME=expandfs
DAEMON=/usr/cbms/bin/$NAME
DAEMON_ARGS=""
PIDFILE=
SCRIPTNAME=/etc/init.d/$NAME

. /lib/lsb/init-functions

start() {
    IP=`ifconfig eth0 | awk -F"[: ]+" '/inet addr:/ {print $4}'`

    if [ -f /usr/cbms/bin/raspi-expand-rootfs.sh ];
    then
        /usr/cbms/bin/raspi-expand-rootfs.sh
        mv /usr/cbms/bin/raspi-expand-rootfs.sh /usr/cbms/bin/raspi-expand-rootfs.bak
        reboot
    fi
}

case "$1" in
    start)
       start
       ;;
    stop)
       ;;
    restart)
       stop
       start
       ;;
    status)
	;;
    *)
       echo "Usage: $0 {start|stop|status|restart}"
esac

