#!/bin/sh

### BEGIN INIT INFO
# Provides:        svm
# Required-Start:    $remote_fs $syslog
# Required-Stop:     $remote_fs $syslog
# Default-Start:     2 3 4 5
# Default-Stop:      0 1 6
# Short-Description: Start svm daemon
### END INIT INFO

# Author: Chris Gurtler <sales@cbmsstudio.com>
#


PATH=/sbin:/bin:/usr/sbin:/usr/bin
DESC="CBMS Studio SVM service"
NAME=svm
DAEMON=/usr/cbms/bin/$NAME
DAEMON_ARGS="--home=/var/cbms --plat"
PIDFILE=
SCRIPTNAME=/etc/init.d/$NAME

. /lib/lsb/init-functions

start() {
    exec >> /var/cbms/log/svm.log 2>&1
    $DAEMON $DAEMON_ARGS &
}

stop() {
    ps -ef | grep $NAME | awk '{print $2}' | xargs kill
}

case "$1" in
    start)
       start
       ;;
    stop)
       stop
       ;;
    restart)
       stop
       start
       ;;
    status)
	if ps ax | grep -v grep | grep $NAME > /dev/null
	then
	    echo "$NAME service running, everything is fine"
	else
	    echo "$NAME is not running"
	fi
	;;
    *)
       echo "Usage: $0 {start|stop|status|restart}"
esac

